// Code generated by mockery v2.22.1. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"

	service "gitlab.com/cyverse/cacao-common/service"
)

// OutgoingEventPort is an autogenerated mock type for the OutgoingEventPort type
type OutgoingEventPort struct {
	mock.Mock
}

// CreateFailed provides a mock function with given fields: event
func (_m *OutgoingEventPort) CreateFailed(event service.InteractiveSessionModel) {
	_m.Called(event)
}

// CreateStarted provides a mock function with given fields: event
func (_m *OutgoingEventPort) CreateStarted(event service.InteractiveSessionModel) {
	_m.Called(event)
}

// Created provides a mock function with given fields: event
func (_m *OutgoingEventPort) Created(event service.InteractiveSessionModel) {
	_m.Called(event)
}

// DeactivateFailed provides a mock function with given fields: event
func (_m *OutgoingEventPort) DeactivateFailed(event service.InteractiveSessionModel) {
	_m.Called(event)
}

// Deactivated provides a mock function with given fields: event
func (_m *OutgoingEventPort) Deactivated(event service.InteractiveSessionModel) {
	_m.Called(event)
}

type mockConstructorTestingTNewOutgoingEventPort interface {
	mock.TestingT
	Cleanup(func())
}

// NewOutgoingEventPort creates a new instance of OutgoingEventPort. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewOutgoingEventPort(t mockConstructorTestingTNewOutgoingEventPort) *OutgoingEventPort {
	mock := &OutgoingEventPort{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
